@use "../../../styles/colors";
@use "../../../styles/defaults";

@mixin flex-column {
  display: flex;
  flex-direction: column;
  gap: 0.4rem;
}

.card {
  border-radius: defaults.$border-radius;
  background-color: colors.$primary-accent;
  padding: 3.2rem;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: auto auto 1fr;
  row-gap: 3.6rem;
  box-shadow: 0 0.1rem 1rem colors.$secondary-dark;

  &__id {
    font-weight: 700;
    font-size: 1.6rem;
    line-height: 1.8rem;
    margin: 0 0 0.6rem;
  }

  &__sender-address {
    @include flex-column;
    margin: 0;
    grid-column: 2 / -1;
    justify-self: flex-end;
    text-align: end;
  }

  &__dates {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  &__labeled {
    &__label {
      display: block;
      margin-bottom: 0.8rem;
    }

    &__value {
      font-size: 1.5rem;
      line-height: 2.3rem;
      font-weight: 700;
      margin: 0;
    }

    &__value-extra {
      @include flex-column;
      margin: 0.4rem 0 0;
    }
  }

  &__footer {
    grid-column: 1 / -1;

    &__items {
      border-top-left-radius: defaults.$border-radius;
      border-top-right-radius: defaults.$border-radius;
      background-color: colors.$secondary-accent;
      padding: 3.6rem;
      width: 100%;

      &__row {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 2fr;

        & > * {
          margin-bottom: 1rem;
          text-align: start;
        }

        & > *:not(:first-child) {
          text-align: end;
        }

        &__heading {
          font-weight: 400;
          padding-bottom: 2.4rem;
        }

        &__data {
          font-weight: 700;
        }
      }
    }

    &__total {
      grid-column: 1 / -1;
      padding: 3.6rem;
      background-color: colors.$secondary-dark;
      display: flex;
      justify-content: space-between;
      align-items: center;
      font-weight: 700;
      border-bottom-left-radius: defaults.$border-radius;
      border-bottom-right-radius: defaults.$border-radius;

      &__label {
        font-size: 1.1rem;
      }

      &__value {
        font-size: 2.4rem;
      }
    }
  }
}

.draft-color {
  color: colors.$draft;
}

@media (max-width: 650px) {
  .card {
    grid-template-columns: repeat(2, 1fr);
    &__id-description,
    &__sender-address,
    &__sent-to {
      grid-column: 1 / -1;
    }

    &__sender-address {
      justify-self: flex-start;
      text-align: start;
    }
  }

  .set-mobile {
    grid-column: 1 / -2;
  }

  .hide-mobile {
    display: none;
  }
}
